Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Class FailedChannelFuture

    java.lang.Object
      org.jboss.netty.channel.CompleteChannelFuture
          org.jboss.netty.channel.FailedChannelFuture

All Implemented Interfaces:
  ChannelFuture

    public class FailedChannelFuture

extends CompleteChannelFuture

The `CompleteChannelFuture` which is failed already. It is recommended to use `Channels.failedFuture(Channel, Throwable)` instead of calling the constructor of this future.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`FailedChannelFuture(Channel channel, Throwable cause)` Creates a new instance.

Method Summary
`Throwable` | `getCause()` Returns the cause of the failed I/O operation if the I/O operation has failed.
`boolean` | `isSuccess()` Returns `true` if and only if the I/O operation was completed successfully.

Methods inherited from class org.jboss.netty.channel.CompleteChannelFuture
`addListener, await, await, await, awaitUninterruptibly, awaitUninterruptibly, awaitUninterruptibly, cancel, getChannel, isCancelled, isDone, removeListener, setFailure, setProgress, setSuccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FailedChannelFuture

    public FailedChannelFuture(Channel channel,
                               Throwable cause)

  Creates a new instance.

  Parameters:
    `channel` - the `Channel` associated with this future
    `cause` - the cause of failure

Method Detail

### getCause

    public Throwable getCause()

  Description copied from interface: `ChannelFuture`
  Returns the cause of the failed I/O operation if the I/O operation has failed.

  Returns:
    the cause of the failure. `null` if succeeded or this future is not completed yet.

### isSuccess

    public boolean isSuccess()

  Description copied from interface: `ChannelFuture`
  Returns `true` if and only if the I/O operation was completed successfully.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.